Foxit PDF Conversion SDK

Public Member Functions | List of all members
PDFConversionSDK.Office2PDFSettingData Class Reference

## Public Member Functions
| constructor (resource_folder_path, is_embed_font, word_setting_data, excel_setting_data)
| Constructor, with parameters. More...
| Set (resource_folder_path, is_embed_font, word_setting_data, excel_setting_data)
| Set value. More...

## Detailed Description

This class represents setting data used for converting Office(Word, Excel or PowerPoint) to PDF format file.

## Member Function Documentation

## ◆ constructor()

PDFConversionSDK.Office2PDFSettingData.constructor | ( | resource_folder_path | ,
|  | is_embed_font | ,
|  | word_setting_data | ,
|  | excel_setting_data |
| ) |  |

Constructor, with parameters.

Parameters

  [in] | resource_folder_path | A valid path of a folder which contains resource data files. This should not be an empty string. These resource data files are used to simulate the pdf format document typesetting process during conversion. They are offered in the "res/office2pdf" folder of the Foxit PDF Conversion SDK package.
  [in] | is_embed_font | true means to embed font in the converted file, while false means not.
  [in] | word_setting_data | A PDFConversionSDK.Word2PDFSettingData object that used for converting Word format documents to PDF format documents.
  [in] | excel_setting_data | A PDFConversionSDK.Excel2PDFSettingData object that used for converting Excel format documents to PDF format documents.

## ◆ Set()

PDFConversionSDK.Office2PDFSettingData.Set | ( | resource_folder_path | ,
|  | is_embed_font | ,
|  | word_setting_data | ,
|  | excel_setting_data |
| ) |  |

Set value.

Parameters

  [in] | resource_folder_path | A valid path of a folder which contains resource data files. This should not be an empty string. These resource data files are used to simulate the pdf format document typesetting process during conversion. They are offered in the "res/office2pdf" folder of the Foxit PDF Conversion SDK package.
  [in] | is_embed_font | true means to embed font in the converted file, while false means not.
  [in] | word_setting_data | A PDFConversionSDK.Word2PDFSettingData object that used for converting Word format documents to PDF format documents.
  [in] | excel_setting_data | A PDFConversionSDK.Excel2PDFSettingData object that used for converting Excel format documents to PDF format documents.

Returns
  None.